Skip to main content
GET
/
workspace
/
default
Retrieve the default workspace
curl --request GET \
  --url https://app.myhero.so/workspace/default \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "_id": "<string>",
    "name": "<string>",
    "isDefault": false,
    "isShared": false,
    "organizationId": "<string>",
    "ownerId": "<string>",
    "collaborators": [
      {
        "userId": "<string>",
        "role": "owner"
      }
    ],
    "collaboratorTeams": [
      {
        "teamId": "<string>",
        "role": "owner"
      }
    ],
    "createdAt": 123,
    "updatedAt": 123,
    "description": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.myhero.so/llms.txt

Use this file to discover all available pages before exploring further.

Returns the default workspace for the authenticated user’s default organization. Returns 400 if no default organization or workspace is found.

Authorizations

Authorization
string
header
required

HERO personal access token

Response

200 response

data
object
required